package com.diagbot.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2020/4/14 13:07
 */
@Getter
@Setter
public class MsgApiDTO {
    //明细主键
    private Long id;
    //得分
    private BigDecimal score;
    //提示信息
    private String msg;
    //单项否决
    private String isReject;
    //模块名称
    private String modelName;
    //模块id
    private String modelId;
    //模块ID
    private Long casesId;
    //模块分数
    private BigDecimal casesScore;
    // 条目ID
    private Long casesEntryId;

    @ApiModelProperty("申诉条目id")
    private Long appealInfoId;

    @ApiModelProperty("审核状态 0:待审核|1:驳回|2:通过")
    private String exampleStatus;

    @ApiModelProperty(value = "操作类型")
    private String appealOperationType;

    @ApiModelProperty(value = "缺陷说明")
    private String explainInfo;

    @ApiModelProperty(value = "备注")
    private String remark;
}
