package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author songxl
 * @Date 2022/1/6
 */
@Data
public class GetReviewerVO {
    @ApiModelProperty(value = "申诉人id", hidden = true)
    private String claimantId;
    @ApiModelProperty(value = "是否包含自身开关", hidden = true)
    private Boolean selfFlag = false;
    @ApiModelProperty(value = "审核角色id", hidden = true)
    private String roleID = "10";
    @ApiModelProperty(value = "医院ID",hidden = true)
    private Long hospitalId;
}
