package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Description:
 * @author: Wsy
 * @time: 2022/03/09 14:59
 */
@Data
public class MedRecordContentOtherVO {

    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 文书ID
     */
    private String recId;

    /**
     * 病历号
     */
    @ApiModelProperty(hidden = true)
    private String behospitalCode;

    /**
     * 病历标题
     */
    @ApiModelProperty(hidden = true)
    private String recTitle;

    /**
     * 创建开始时间
     */
    @ApiModelProperty(hidden = true)
    private Date recDateStart;

    /**
     * 创建结束时间
     */
    @ApiModelProperty(hidden = true)
    private Date recDateEnd;

}
